| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all class members with links to the classes they belong to:

### - r -

- RangeExceptionCode : DOMRangeException
- readBytes() : BinFileInputStream , BinMemInputStream , BinInputStream
- readFileBuffer() : XMLPlatformUtils
- recognizeNEL() : XMLPlatformUtils
- RecursiveEntity : XMLErrs
- Redefine_AttGroupRefCount : XMLErrs
- Redefine_DeclarationNotFound : XMLErrs
- Redefine_GroupRefCount : XMLErrs
- Redefine_InvalidChild : XMLErrs
- Redefine_InvalidComplexType : XMLErrs
- Redefine_InvalidComplexTypeBase : XMLErrs
- Redefine_InvalidGroupMinMax : XMLErrs
- Redefine_InvalidSimpleType : XMLErrs
- Redefine_InvalidSimpleTypeBase : XMLErrs
- RedefineNamespaceDifference : XMLErrs
- RefElementNotFound : XMLErrs
- regionIMatches() : XMLString
- regionMatches() : XMLString
- registerCleanup() : XMLRegisterCleanup
- reinitMsgLoader() : XMLValidator , XMLException
- reinitMsgMutex() : XMLValidator , XMLException
- reinitMutex() : XSValue
- reinitRegEx() : XSValue
- reinitRegistry() : XSValue
- release() : DOMNodeIterator , DOMRange , DOMTreeWalker , DOMWriter , Wrapper4InputSource , XMLString , DOMBuilder , DOMInputSource , DOMNode
- removeAdvDocHandler() : SAXParser , SAX2XMLReader
- removeAttribute() : DOMElement
- removeAttributeNode() : DOMElement
- removeAttributeNS() : DOMElement
- removeChar() : XMLString
- removeChild() : DOMNode
- removeDotDotSlash() : XMLPlatformUtils
- removeDotSlash() : XMLPlatformUtils
- removeNamedItem() : DOMNamedNodeMap
- removeNamedItemNS() : DOMNamedNodeMap
- removeWS() : XMLString
- renameNode() : DOMDocument
- RepElemInMixed : XMLValid
- replaceChild() : DOMNode
- replaceData() : DOMCharacterData
- replaceTokens() : XMLString
- replaceWholeText() : DOMText
- replaceWS() : XMLString
- replicate() : XMLString
- Required : XMLAttDef
- Required_And_Fixed : XMLAttDef
- RequiredAttrNotProvided : XMLValid
- requiresNamespaces() : XMLValidator
- reset() : MemBufFormatTarget , XMLAttDef , XMLValidator , PSVIAttributeList , PSVIElement , PSVIItem , BinFileInputStream , BinMemInputStream
- Reset() : XMLAttDefList
- reset() : AbstractDOMParser , PSVIAttribute
- resetCachedGrammarPool() : SAXParser , XercesDOMParser , SAX2XMLReader , DOMBuilder
- resetDefs() : XMLElementDecl
- resetDocType() : DTDHandler , HandlerBase , AbstractDOMParser , DefaultHandler , SAXParser
- resetDocument() : SAXParser , HandlerBase , DocumentHandler , AbstractDOMParser , DefaultHandler , XMLDocumentHandler
- resetDocumentPool() : XercesDOMParser , DOMBuilder
- resetEntities() : XMLEntityHandler , SAXParser , XercesDOMParser
- resetErrors() : ErrorHandler , HandlerBase , DefaultHandler , XercesDOMParser , SAXParser , XMLErrorReporter
- resetFile() : XMLPlatformUtils
- resetMemBufInputSource() : MemBufInputSource
- resetPool() : AbstractDOMParser
- resolveEntity() : SAXParser , XMLEntityHandler , DefaultHandler , HandlerBase , DOMEntityResolver , SAXParser , XercesDOMParser , XMLEntityHandler , XMLEntityResolver , EntityResolver
- ResourceIdentifierType : XMLResourceIdentifier
- RestrictionRepeated : XMLErrs
- resultType : DOMXPathResult
- retrieveGrammar() : XMLGrammarPool
- ReusedIDValue : XMLValid
- RootElemNotLikeDocType : XMLValid

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.